#!/usr/bin/env python
# -*- coding: utf-8 -*-
# 
#  System Setting Integration Module for blackPanther OS v9.1
#  Written by Charles Barcza 2009 kbarcza@blackpanther.hu
# 			www.blackpanther.hu

import os.path, os
import sys

from PyQt4.QtGui import *
from PyQt4.QtCore import *

from PyKDE4.kdecore import *
from PyKDE4.kdeui import *

import gettext

gettext.textdomain('blackPantherSettings')
_ = gettext.gettext

helpText = (_("""





	blackPanther OS System Settings



	The blackPanther OS Systemsettings an external modules pack for KDE4 Systemsettings. This module provides 
	access for all any (perl, GTK, etc.) external application

		Created by Charles Barcza (kbarcza@blackpanther.hu) for blackPanther OS distribution
					- (c)  2003-2011 www.blackpantheros.eu   -












"""))

class PyKcm(KCModule):
    def __init__(self, component_data, parent):
        print("PyKcm constructor")
        KCModule.__init__(self,component_data, parent)
        print("PyKcm constructor done")
        self.hello = QLabel(_("<html><br/><br/><br/><br/><b>     Note:</b></html>"),self)
	self.help = QLabel (helpText, self)

	os.system('/usr/bin/drakupdate_fstab &')
	self.btnLaunch = QPushButton(_("&Launch Settings Module"),self)
	self.btnLaunch.resize(200,50)
	#self.setIcon(KIcon("computer"))

	self.btnLaunch.setStyleSheet("* { background-color:rgb(77,77,77);color:rgb(255,255,255); padding: 0px}}");
        QObject.connect(self.btnLaunch, SIGNAL("clicked()"), self.clickEvent)
        

    def clickEvent(self):
	print "Debug: createEvent..."
	#self.hide()
	os.system('/usr/bin/drakupdate_fstab &')
	#self.show()

#print(" DEBUG: Loading bpset.py", a_name )
#print(" DEBUG: Loading bpset.py", d_name )

def CreatePlugin(widget_parent, parent, component_data):
    print("WIdget parent:"+repr(widget_parent))
    print(r"***********************************************************")
    print(r"Loaded blackPanther OS System Setting Intergration Module!")
    print(r"***********************************************************")
    print("component data: " +repr(component_data))
    return PyKcm(component_data, widget_parent)
